• AVISO: Nintendo ha lanzado la versión 9.1.0 para Nintendo Switch que parchea vulnerabilidades. Recomendamos no actualizar hasta tener más información de cómo afectará esta versión a la scene. Ver noticia de la actualización

AVISO: No actualices SX OS a la versión 2.9 BETA ya que está teniendo muchos problemas

oscarstoja

Administrador
Miembro del equipo
Registrado
Ago 7, 2018
Mensajes
445
sxos_warning.png

AVISO: No actualices SX OS a la versión 2.9 BETA
ya que está teniendo muchos problemas

Tenemos que informaros que la última actualización de SX OS, concretamente la versión 2.9 BETA está teniendo muchos problemas, incluso sin un backup de la NAND puedes dejar tu Switch inservible.

El principal problema que hay con SX OS es el siguiente:

- Si actualizas a SX OS 2.9 BETA y arrancas en la nueva versión y actualizas el firmware a la versión 9.0.0 u otros firmwares a través del homebrew ChoiDujourNX 1.0.1, puede quedarse el proceso de actualización bloqueado en la pantalla ""Flashing firmware packages 0/6". Cuando esto ocurre no queda otra opción de apagar la consola manteniendo presionado el botón de Power durante 12-15 segundos y encenderla de nuevo y el resultado es una pantalla en negro.

La única solución en estos casos es restaurar la NAND del backup que tengamos, por lo que si no tenemos backup poco podremos hacer.

Otros han conseguido arrancar el CFW Atmosphère y han conseguido bajar la versión a la 8.1.0 sin mayor problema. Si este problema te ha ocurrido en la emuNAND recreando la emuNAND debería solucionar el problema.

La solución de momento si quieres actualizar a la versión 9.0.0 a través del homebrew ChoiDujourNX 1.0.2 es usar SX OS 2.8 BETA y luego actualizar a la versión 9.0.0. Luego ya puedes instalar SX OS 2.9 BETA sin problemas.

Además de este problema, actualizar SX OS a la versión 2.9 BETA puede traer más problemas:

1) Cuando arranques SX OS 2.9 BETA con el firmware 9.0.0 se actualizará el firmware del lector de tarjetas y se quemará el eFuse correspondiente, por lo que si bajas la versión de la Switch ya no podrás leer los cartuchos. Puedes ver la noticia del aviso aquí

2) Si usas SX OS 2.9 BETA y el firmware 9.0.0 parece que dejarán de funcionar la carga de archivos .XCI, no sabemos si tiene algo que ver con los eFuses de la nueva versión del firmware del lector de tarjetas. Estaremos pendientes si en nuevas versiones de SX OS arreglará este problema.

Y por último os dejamos errores menores:

3) Si usas SX OS 2.9 BETA y el firmware 9.0.0 en modo dock, si sales del Álbum usando el botón "B" causará el error 2168-0002.

4) Si usas SX OS 2.9 BETA y el firmware 8.1.0: Al actualizar el firmware a la versión 9.0.0 usando el homebrew ChoiDujourNX 1.0.2 se quedará parado en la pantalla "Testing for BIS Protection", por lo que tendrás que reiniciar la consola manteniendo el botón Power durante 12-15 segundos, pero podrás volver a SX OS 2.9 sin problema en el firmware 8.1.0

5) Si usas SX OS 2.9 BETA y el firmware 9.0.0: No podrás instalar incognito.

6) Si usas SX OS 2.9 BETA y el firmware 9.0.0: No funcionarán los temas en la pantalla de bloqueo ya que SX OS 2.9 BETA no tiene el parcheo IPS.

7) Si usas SX OS 2.9 BETA y el firmware 9.0.0: Si intentas utilizar trucos con archivos XCI de un disco duro externo SSD/HDD saltará un error. Los trucos funcionarán correctamente usando archivos XCI mediante microSD.

Hay varios hilos comentando estos problemas, @Guta ha escrito los pasos a seguir en el hilo:

Tutorial - Solucionar problema al actualizar a la versión 9.0.0

Más hilos con usuarios en el foro que han tenido problemas:

Problema al actualizar Nintendo Switch 7.0.1 a 8.1.0 con ChoiDujourNX
Error al actualizar con Choidojour

Y algunos más...recomendamos no actualizar a SX OS 2.9 BETA de momento.
 
Última edición:

Synchrim

Miembro
Registrado
Sep 18, 2019
Mensajes
31
De momento no éxiste ningun motivo de cambiar de la versión 8.1.0 a 9.0.0 no hay ningun juego que requiere 9.0.0. La única cosa que yo tengo entendido que requiere la actualización de 9.0.0 es el update de Dragon Quest.
 

eleazarluffy

Miembro
Registrado
Nov 16, 2018
Mensajes
42
extrañamente mi consola estaba en 8.1.0 y no corria el dragon quest xi, se instala bien pero al intentar ejecutarlo marcaba error, la unica forma de que jalara fue actualizando a 9.0
 

PROPHET

Nuevo miembro
Registrado
Nov 21, 2018
Mensajes
28
De momento no éxiste ningun motivo de cambiar de la versión 8.1.0 a 9.0.0 no hay ningun juego que requiere 9.0.0. La única cosa que yo tengo entendido que requiere la actualización de 9.0.0 es el update de Dragon Quest.
Correcto, yo solo subí mi OFW por que quería probar TLOZ Link's Awakening, y corre perfectamente con FW 8.0.1. Así que como dices, no vale la pena actualizar, y menos si no se tiene un respaldo de NAND por aquello de las pantallas negras que están surgiendo por la inestabilidad del SX OS 2.9 BETA con ChoiDujournNX.
 

Metropiezo

Nuevo miembro
Registrado
Ene 9, 2019
Mensajes
2
y que hacemos los que hemos actualizado? yo he actualizado el SX pero no la switch.
Puedo bajar de versión del SX a la anterior?
 

JaviWan2

Nuevo miembro
Registrado
Oct 1, 2019
Mensajes
12
Buenas noches,

ayer actualice la Switch con el metodo desde el firmware oficial, reinicie a modo rcm y todo ok de 3.0.2. a 9.0.0 con 4 fuses quemados, me pidio actualizar software de los joycon. reinicio y 11 fuses quemados, me hace biskey dump pero me sale el fondo rojo (por esta parte he sido precavido tengo Boot 0 - 1 y nand tanto de 3.0.2 como de 9.0.0 virgenes, ademas de todas las keys guardadas a buen recaudo desde el momento de compra de la consola el viernes pasado).

Con este asunto el SX OS PRO me seguira funcionando no? (lo tengo en camino y no puedo probarlo), es que no he leido nada relacionado de numero de fuses quemados con que no funcione.

La unica penalizacion es que no podre hacer downgrade de la switch, cierto???

Ademas estoy viendo todos estos fallos que hay a dia de hoy, esta claro que sean del sx os y no del firm 9.0.0???

Aclaro mañana mismo podria ir al centro donde la compre y cambiarla con cualquier excusa por otra vulnerable y en version 3.0.2., que hago??? me podeis aconsejar??

gracias de antemano, un saludo.
 

rainor

Nuevo miembro
Registrado
Jun 25, 2019
Mensajes
18
Hola,

Mi consejo es que no vuelvas actualizar nunca mas con la versión oficial para no quemar fuses. Es muy sencillo actualizar la consola manualmente.

SX OS te seguira funcionado. Es mas tal y como lo tienes si pones la versión beta te debería funcionar todo.

Si tienes opción cámbiala claro. Coge una vulnerable y la actualizas a la 8.1 manualmente con ChoiDujournNX y no quemas ningún fuse
 

JaviWan2

Nuevo miembro
Registrado
Oct 1, 2019
Mensajes
12
Hola,

Mi consejo es que no vuelvas actualizar nunca mas con la versión oficial para no quemar fuses. Es muy sencillo actualizar la consola manualmente.

SX OS te seguira funcionado. Es mas tal y como lo tienes si pones la versión beta te debería funcionar todo.

Si tienes opción cámbiala claro. Coge una vulnerable y la actualizas a la 8.1 manualmente con ChoiDujournNX y no quemas ningún fuse
Buenas noches,

Gracias por contestar, el tema es que ando muy perdido con el tema, por lo que entiendo más arriba ya no funcionarán los xci en 9.0.0 y sx os 2.9 beta no???
Si no fuera así no me importaría tanto no poder hacer downgrade.

Pero si es así la cambio mañana mismo, saludos y gracias.
 

Última actividad

Estado compatibilidad CFWs

Estado de compatibilidad de los CFWs:
Versión actual firmware: 9.1.0

CFW
Estado
SX OS:
Compatible
ReiNX:
No compatible
Pack Kosmos:
No compatible

Última actualización: 09/12/2019

Últimos recursos

  • Firmware 9.1.0
    Firmware 9.1.0
    2019-12-09
    • oscarstoja
    • Actualizado:
  • SX OS
    SX OS
    2019-12-09
    • oscarstoja
    • Actualizado:
  • SX Autoloader
    SX Autoloader
    2019-11-01
    • oscarstoja
    • Actualizado:
  • SX OS
    SX OS
    2019-10-07
    • oscarstoja
    • Actualizado:
  • Pack Kosmos
    Pack Kosmos
    2019-02-24
    • oscarstoja
    • Actualizado:

Estadísticas en línea

Miembros en línea
1
Invitados en línea
20
Total de visitantes
21
Arriba